import pandas as pd
import pymysql
from datetime import datetime
from datetime import timedelta
import pickle
import time
from kafka import KafkaProducer

def on_send_success():
    print("succeed")
    return 1

def on_send_error():
    print("fail")
    return 0


if __name__ == "__main__":
    producer = KafkaProducer(
    bootstrap_servers=['172.16.44.25:9092'],
    key_serializer=lambda k: pickle.dumps(k),
    value_serializer=lambda v: pickle.dumps(v))
    producer.send(topic = "test_topic", key = "hello", value = "world")\
        .add_callback(on_send_success).add_errback(on_send_error)
    producer.flush()
    producer.close()






